﻿//All classnames changed from original to avoid conflicts
#ifndef _RG_CLASSES_
	#define _RG_CLASSES_
	
	#define CT_STATIC 0
	#define CT_BUTTON 1
	#define CT_EDIT 2
	#define CT_SLIDER 3
	#define CT_COMBO 4
	#define CT_LISTBOX 5
	#define CT_TOOLBOX 6
	#define CT_CHECKBOXES 7
	#define CT_HTML 9
	#define CT_STATIC_SKEW 10
	#define CT_ACTIVETEXT 11
	#define CT_STRUCTURED_TEXT 13 
	#define CT_CONTEXT_MENU 14 
	#define CT_CONTROLS_GROUP 15 
	#define CT_XKEYDESC 40 
	#define CT_XBUTTON 41 
	#define CT_XLISTBOX 42 
	#define CT_XSLIDER 43 
	#define CT_XCOMBO 44 
	#define CT_ANIMATED_TEXTURE 45 
	#define CT_OBJECT 80 
	#define CT_OBJECT_ZOOM 81 
	#define CT_OBJECT_CONTAINER 82 
	#define CT_OBJECT_CONT_ANIM 83 
	#define CT_LINEBREAK 98 
	#define CT_USER 99 
	#define CT_MAP 100 
	#define CT_MAP_MAIN 101	

	// Static styles 
	#define ST_POS 0x0F 
	#define ST_HPOS 0x03 
	#define ST_VPOS 0x0C 
	#define ST_LEFT 0x00 
	#define ST_RIGHT 0x01 
	#define ST_CENTER 0x02 
	#define ST_DOWN 0x04 
	#define ST_UP 0x08 
	#define ST_VCENTER 0x0c 
	#define ST_TYPE 0xF0 
	#define ST_SINGLE 0 
	#define ST_MULTI 16 
	#define ST_TITLE_BAR 32 
	#define ST_PICTURE 48
	#define ST_FRAME 64 
	#define ST_BACKGROUND 80 
	#define ST_GROUP_BOX 96 
	#define ST_GROUP_BOX2 112 
	#define ST_HUD_BACKGROUND 128 
	#define ST_TILE_PICTURE 144 
	#define ST_WITH_RECT 160 
	#define ST_LINE 176
	
	// Fonts
	#define TahomaB "TahomaB"
	#define Zeppelin33 "Zeppelin33"
	#define Zeppelin33Italic "Zeppelin33Italic"
	#define Zeppelin32 "Zeppelin32"
	#define Bitstream "Bitstream"
	#define TahomaB TahomaB
	
	// Colors
	#define RG_C_TRANSPARENT {0, 0, 0, 0}
	#define RG_C_WHITE {1, 1, 1, 1}
	#define RG_C_LIGHTWHITE {0.2, 0.2, 0.2, 1}
	#define RG_C_LIGHTGREY {0.8, 0.8, 0.8, 1}
	#define RG_C_BLACK {0, 0, 0, 1}
	#define RG_C_BACKGROUND {0.2, 0.2, 0.2, 0.8}
	
	// Sound 
	#define RG_S_NOSOUND {"", 0.1, 1}
	
	class RG_Text {
		type = CT_STATIC;
		idc = -1;
		style = ST_LEFT;
		w = 0.1;
		h = 0.05;
		font = TahomaB;
		sizeEx = 0.027;
		colorBackground[] = RG_C_TRANSPARENT;
		colorText[] = RG_C_WHITE;
		text = "";
	};

	class RG_TextSmall : RG_Text{
		h = 0.03;
		sizeEx = 0.017;
	};

	class RG_Title : RG_Text{
		style = ST_CENTER;
		x = 0.15;
		y = 0.06;
		w = 0.7;
	};

	class RG_Background : RG_Text{ 
		colorBackground[] = RG_C_BACKGROUND;
		text = "";
	};

	class RG_Frame : RG_Text{ 
		style = ST_FRAME;
		colorBackground[] = RG_C_BACKGROUND;
		text = "";
	};

	class RG_Progress{
		idc = -1;
		type = CT_PROGRESS;
		style = 0;
		colorFrame[] = RG_C_WHITE;
		colorBar[] = RG_C_WHITE;
		w = 1.2;
		h = 0.03;
	};

	class RG_Picture: RG_Text{
		style = ST_PICTURE;
	};

	class RG_HTML{
		type = CT_HTML;
		idc = -1;
		style = ST_LEFT;
		filename = "";
		colorBackground[] = RG_C_TRANSPARENT;
		colorText[] = RG_C_WHITE;
		colorBold[] = {0, 0, 0.2, 1};
		colorLink[] = {1, 0.5, 0, 1};
		colorLinkActive[] = {1, 0.5, 0, 1};
		colorPicture[] = RG_C_WHITE;
		colorPictureLink[] = RG_C_WHITE;
		colorPictureSelected[] = RG_C_WHITE;
		colorPictureBorder[] = RG_C_TRANSPARENT;
		tooltipColorText[] = RG_C_BLACK;
		tooltipColorBox[] = {0, 0, 0, 0.5};
		tooltipColorShade[] = {1, 1, 0.7, 1};
		prevPage = "#(argb,8,8,3)color(1,1,1,1)";
		nextPage = "#(argb,8,8,3)color(1,1,1,1)";
		
		class H1 {
			font = TahomaB;
			fontBold = TahomaB;
			sizeEx = 0.04;
		};
		
		class H2 {
			font = TahomaB;
			fontBold = TahomaB;
			sizeEx = 0.04;
		};
		
		class H3 {
			font = TahomaB;
			fontBold = TahomaB;
			sizeEx = 0.04;
		};
		
		class H4 {
			font = TahomaB;
			fontBold = TahomaB;
			sizeEx = 0.04;
		};
		
		class H5 {
			font = TahomaB;
			fontBold = TahomaB;
			sizeEx = 0.04;
		};
		
		class H6 {
			font = TahomaB;
			fontBold = TahomaB;
			sizeEx = 0.04;
		};
		
		class P {
			font = TahomaB;
			fontBold = TahomaB;
			sizeEx = 0.04;
		};
	};

	class RG_Button{
		idc = -1;
		type = CT_BUTTON;
		style = ST_CENTER;
		x = 0;
		y = 0;
		w = 0.3;
		h = 0.1;
		text = "";
		font = TahomaB;
		sizeEx = 0.027;
		colorText[] = RG_C_BLACK;
		colorDisabled[] = {0.3, 0.3, 0.3, 1};
		colorBackground[] = RG_C_WHITE;
		colorBackgroundDisabled[] = {0.6, 0.6, 0.6, 1};
		colorBackgroundActive[] = {1, 0.5, 0, 1};
		offsetX = 0.004;
		offsetY = 0.004;
		offsetPressedX = 0.002;
		offsetPressedY = 0.002;
		colorFocused[] = RG_C_LIGHTWHITE;
		colorShadow[] = RG_C_BLACK;
		colorBorder[] = RG_C_BLACK;
		borderSize = 0;
		soundEnter[] = RG_S_NOSOUND;
		soundPush[] = RG_S_NOSOUND;
		soundClick[] = RG_S_NOSOUND;
		soundEscape[] = RG_S_NOSOUND;
	};

	class RG_ButtonSmall : RG_Button{
		sizeEx = 0.017;
		w = 0.12;
	};

	class RG_Button_Hidden: RG_Button {
		sizeEx = 0.017;
		colorText[] = RG_C_WHITE;
		colorBackground[] = RG_C_TRANSPARENT;
		colorBackgroundDisabled[] = RG_C_TRANSPARENT;
		colorBackgroundActive[] = RG_C_TRANSPARENT;
		colorFocused[] = RG_C_TRANSPARENT;
		colorShadow[] = RG_C_TRANSPARENT;
		colorBorder[] = RG_C_TRANSPARENT;		
		offsetX = 0;
		offsetY = 0;
		offsetPressedX = 0;
		offsetPressedY = 0;		
	};	

	class RG_Edit{
		type = CT_EDIT;
		idc = -1;
		style = ST_LEFT;
		h = 0.04;
		colorBackground[] = RG_C_TRANSPARENT;
		colorText[] = RG_C_WHITE;
		colorSelectRG[] = {1, 1, 1, 0.25};
		font = TahomaB;
		sizeEx = 0.017;
		autocomplete = "";
		text = "";
		size = 0.2;
	};

	class RG_Combo{
		idc = -1;
		type = CT_COMBO;
		style = ST_LEFT;
		h = 0.03;
		wholeHeight = 0.5;
		colorText[] = RG_C_BLACK;
		colorSelect[] = {0.1, 0.1, 0.1, 1};	
		colorSelectBackground[] = {0.9, 0.9, 0.9, 1};
		colorBackground[] = RG_C_WHITE;
		colorScrollbar[] = RG_C_WHITE;
		font = TahomaB;
		sizeEx = 0.017;
		soundSelect[] = RG_S_NOSOUND;
		soundExpand[] = RG_S_NOSOUND;
		soundCollapse[] = RG_S_NOSOUND;
	};

	class RG_ListBox{
		idc = -1;
		type = CT_LISTBOX;
		style = ST_LEFT;
		w = 0.4;
		h = 0.4;
		font = TahomaB;
		sizeEx = 0.017;
		rowHeight = 0;
		colorText[] = RG_C_WHITE;
		colorScrollbar[] = RG_C_WHITE;
		colorSelect[] = {0.1, 0.1, 0.1, 1};
		colorSelect2[] = RG_C_BLACK;
		colorSelectBackground[] = {0.8, 0.8, 0.8, 1};
		colorSelectBackground2[] = {0.6, 0.6, 0.6, 1};
		colorBackground[] = RG_C_WHITE;
		soundSelect[] = RG_S_NOSOUND;
		period = 1;
	};

	class RG_Slider{
		idc = -1;
		type = CT_SLIDER;
		style = 1024;
		h = 0.028;
		w = 0.3;
		color[] = RG_C_WHITE;
		colorActive[] = RG_C_WHITE;
	};

	class RG_ActiveText: RG_Button{
		type = CT_ACTIVETEXT;
		h = 0.05;
		w = 0.15;
		color[] = RG_C_WHITE;
		colorActive[] = {1, 0.5, 0, 1};
		text = "";
		default = 0;
	};

	class RG_StructuredText{
		type = CT_STRUCTURED_TEXT;
		idc = -1;
		style = ST_LEFT;
		h = 0.05;
		text = "";
		size = 0.04;
		colorText[] = RG_C_WHITE;
		
		class Attributes {
			font = TahomaB;
			color = "#ffffff";
			align = "center";
			shadow = 1;
		};
	};

	class RG_MapControl {
		type = CT_MAP_MAIN;
		idc = -1;
		style = ST_PICTURE;
		colorBackground[] = {1, 1, 1, 1};
		colorText[] = {0, 0, 0, 1};
		font = "TahomaB";
		sizeEx = 0.04;
		colorSea[] = {0.56, 0.8, 0.98, 0.5};
		colorForest[] = {0.6, 0.8, 0.2, 0.5};
		colorRocks[] = {0.6, 0.45, 0.27, 0.4};
		colorCountlines[] = {0.7, 0.55, 0.3, 0.6};
		colorMainCountlines[] = {0.65, 0.45, 0.27, 1};
		colorCountlinesWater[] = {0, 0.53, 1, 0.5};
		colorMainCountlinesWater[] = {0, 0.53, 1, 1};
		colorForestBorder[] = {0.4, 0.8, 0, 1};
		colorRocksBorder[] = {0.6, 0.45, 0.27, 0.4};
		colorPowerLines[] = {0, 0, 0, 1};
		colorNames[] = {0, 0, 0, 1};
		colorInactive[] = {1, 1, 1, 0.5};
		colorLevels[] = {0, 0, 0, 1};
		fontLabel = "Zeppelin32";
		sizeExLabel = 0.0286458;
		fontGrid = "Zeppelin32";
		sizeExGrid = 0.0286458;
		fontUnits = "Zeppelin32";
		sizeExUnits = 0.0286458;
		fontNames = "Zeppelin32";
		sizeExNames = 0.056;
		fontInfo = "Zeppelin32";
		sizeExInfo = 0.0286458;
		fontLevel = "Zeppelin32";
		sizeExLevel = 0.0286458;
		text = "#(argb,8,8,3)color(1,1,1,1)";
		stickX[] = {0.2, {"Gamma", 1, 1.5}};
		stickY[] = {0.2, {"Gamma", 1, 1.5}};
		ptsPerSquareSea = 6;
		ptsPerSquareTxt = 8;
		ptsPerSquareCLn = 8;
		ptsPerSquareExp = 8;
		ptsPerSquareCost = 8;
		ptsPerSquareFor = "4.0f";
		ptsPerSquareForEdge = "10.0f";
		ptsPerSquareRoad = 2;
		ptsPerSquareObj = 10;
		showCountourInterval = "true";
		scaleMin = 0.03;
		scaleMax = 0.32;
		scaleDefault = 0.096;
		
		class ActiveMarker {
			color[] = {0.3, 0.1, 0.9, 1};
			size = 50;
		};
		
		class Command {
			icon = "#(argb,8,8,3)color(1,1,1,1)";
			color[] = {0, 0.9, 0, 1};
			size = 18;
			importance = 1;
			coefMin = 1;
			coefMax = 1;
		};
		
		class Tree {
			icon = "\ca\ui\data\map_tree_ca.paa";
			color[] = {0.55, 0.64, 0.43, 1};
			size = 12;
			importance = 0.9 * 16 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class SmallTree {
			icon = "\ca\ui\data\map_smalltree_ca.paa";
			color[] = {0.55, 0.64, 0.43, 1};
			size = 12;
			importance = 0.6 * 12 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Bush {
			icon = "\ca\ui\data\map_bush_ca.paa";
			color[] = {0.55, 0.64, 0.43, 1};
			size = 14;
			importance = 0.2 * 14 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Church {
			icon = "\ca\ui\data\map_church_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Chapel {
			icon = "\ca\ui\data\map_chapel_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 16;
			importance = 1 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Cross {
			icon = "\ca\ui\data\map_cross_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 16;
			importance = 0.7 * 16 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Rock {
			icon = "\ca\ui\data\map_rock_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 12;
			importance = 0.5 * 12 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Bunker {
			icon = "\ca\ui\data\map_bunker_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 14;
			importance = 1.5 * 14 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Fortress {
			icon = "\ca\ui\data\map_bunker_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Fountain {
			icon = "\ca\ui\data\map_fountain_ca.paa";
			color[] = {0, 0.35, 0.7, 1};
			size = 12;
			importance = 1 * 12 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class ViewTower {
			icon = "\ca\ui\data\map_viewtower_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 16;
			importance = 2.5 * 16 * 0.05;
			coefMin = 0.5;
			coefMax = 4;
		};
		
		class Lighthouse {
			icon = "\ca\ui\data\map_lighthouse_ca.paa";
			color[] = {0.78, 0, 0.05, 1};
			size = 20;
			importance = 3 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Quay {
			icon = "\ca\ui\data\map_quay_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.5;
			coefMax = 4;
		};
		
		class FuelstatRG {
			icon = "\ca\ui\data\map_fuelstatRG_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.75;
			coefMax = 4;
		};
		
		class Hospital {
			icon = "\ca\ui\data\map_hospital_ca.paa";
			color[] = {0.78, 0, 0.05, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.5;
			coefMax = 4;
		};
		
		class BusStop {
			icon = "\ca\ui\data\map_busstop_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 10;
			importance = 1 * 10 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Transmitter {
			icon = "\ca\ui\data\map_transmitter_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 20;
			importance = 2 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Stack {
			icon = "\ca\ui\data\map_stack_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 20;
			importance = 2 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Ruin {
			icon = "\ca\ui\data\map_ruin_ca.paa";
			color[] = {0.78, 0, 0.05, 1};
			size = 16;
			importance = 1.2 * 16 * 0.05;
			coefMin = 1;
			coefMax = 4;
		};
		
		class Tourism {
			icon = "\ca\ui\data\map_tourism_ca.paa";
			color[] = {0.78, 0, 0.05, 1};
			size = 16;
			importance = 1 * 16 * 0.05;
			coefMin = 0.7;
			coefMax = 4;
		};
		
		class Watertower {
			icon = "\ca\ui\data\map_watertower_ca.paa";
			color[] = {0, 0.35, 0.7, 1};
			size = 32;
			importance = 1.2 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Waypoint {
			icon = "\ca\ui\data\map_waypoint_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 24;
			importance = 1;
			coefMin = 1;
			coefMax = 1;
		};
		
		class WaypointCompleted {
			icon = "\ca\ui\data\map_waypoint_completed_ca.paa";
			color[] = {0, 0, 0, 1};
			size = 24;
			importance = 1;
			coefMin = 1;
			coefMax = 1;
		};
	};
#endif